<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Samples.URIDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Samples.URIDialog Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents the asset loader URI input dialog UI component.  
 <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Samples.URIDialog:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abfc4a78f9d2a6b5c8f1ecef17f218886"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#abfc4a78f9d2a6b5c8f1ecef17f218886">ShowDialog</a> (Action&lt; string, string &gt; onOk)</td></tr>
<tr class="memdesc:abfc4a78f9d2a6b5c8f1ecef17f218886"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the dialog.  <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#abfc4a78f9d2a6b5c8f1ecef17f218886">More...</a><br /></td></tr>
<tr class="separator:abfc4a78f9d2a6b5c8f1ecef17f218886"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bf31b87f841df0442a5db71f0e4205c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#a2bf31b87f841df0442a5db71f0e4205c">HideDialog</a> ()</td></tr>
<tr class="memdesc:a2bf31b87f841df0442a5db71f0e4205c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the dialog.  <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#a2bf31b87f841df0442a5db71f0e4205c">More...</a><br /></td></tr>
<tr class="separator:a2bf31b87f841df0442a5db71f0e4205c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:abbf38658bf6dab4f381d274d9de2f0a3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#abbf38658bf6dab4f381d274d9de2f0a3">Awake</a> ()</td></tr>
<tr class="memdesc:abbf38658bf6dab4f381d274d9de2f0a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes variables.  <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#abbf38658bf6dab4f381d274d9de2f0a3">More...</a><br /></td></tr>
<tr class="separator:abbf38658bf6dab4f381d274d9de2f0a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a7dfebaa9bc2807bb3718e0a165edec1f"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html">URIDialog</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#a7dfebaa9bc2807bb3718e0a165edec1f">Instance</a><code> [get]</code></td></tr>
<tr class="memdesc:a7dfebaa9bc2807bb3718e0a165edec1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class singleton.  <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#a7dfebaa9bc2807bb3718e0a165edec1f">More...</a><br /></td></tr>
<tr class="separator:a7dfebaa9bc2807bb3718e0a165edec1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb90f32b2eb2685bf1cd0716485301a5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#acb90f32b2eb2685bf1cd0716485301a5">Filename</a><code> [getset]</code></td></tr>
<tr class="memdesc:acb90f32b2eb2685bf1cd0716485301a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets or sets the filename.  <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#acb90f32b2eb2685bf1cd0716485301a5">More...</a><br /></td></tr>
<tr class="separator:acb90f32b2eb2685bf1cd0716485301a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a535407bee4a7ca257ec0f75165440e3d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#a535407bee4a7ca257ec0f75165440e3d">Extension</a><code> [getset]</code></td></tr>
<tr class="memdesc:a535407bee4a7ca257ec0f75165440e3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets or sets the extension.  <a href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html#a535407bee4a7ca257ec0f75165440e3d">More...</a><br /></td></tr>
<tr class="separator:a535407bee4a7ca257ec0f75165440e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents the asset loader URI input dialog UI component. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abbf38658bf6dab4f381d274d9de2f0a3" name="abbf38658bf6dab4f381d274d9de2f0a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbf38658bf6dab4f381d274d9de2f0a3">&#9670;&nbsp;</a></span>Awake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.URIDialog.Awake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes variables. </p>

</div>
</div>
<a id="a2bf31b87f841df0442a5db71f0e4205c" name="a2bf31b87f841df0442a5db71f0e4205c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bf31b87f841df0442a5db71f0e4205c">&#9670;&nbsp;</a></span>HideDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.URIDialog.HideDialog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Hides the dialog. </p>

</div>
</div>
<a id="abfc4a78f9d2a6b5c8f1ecef17f218886" name="abfc4a78f9d2a6b5c8f1ecef17f218886"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfc4a78f9d2a6b5c8f1ecef17f218886">&#9670;&nbsp;</a></span>ShowDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.URIDialog.ShowDialog </td>
          <td>(</td>
          <td class="paramtype">Action&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>onOk</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Shows the dialog. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a535407bee4a7ca257ec0f75165440e3d" name="a535407bee4a7ca257ec0f75165440e3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a535407bee4a7ca257ec0f75165440e3d">&#9670;&nbsp;</a></span>Extension</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.URIDialog.Extension</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets or sets the extension. </p>
<p >The text.</p>

</div>
</div>
<a id="acb90f32b2eb2685bf1cd0716485301a5" name="acb90f32b2eb2685bf1cd0716485301a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb90f32b2eb2685bf1cd0716485301a5">&#9670;&nbsp;</a></span>Filename</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.URIDialog.Filename</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets or sets the filename. </p>
<p >The filename.</p>

</div>
</div>
<a id="a7dfebaa9bc2807bb3718e0a165edec1f" name="a7dfebaa9bc2807bb3718e0a165edec1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dfebaa9bc2807bb3718e0a165edec1f">&#9670;&nbsp;</a></span>Instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html">URIDialog</a> TriLib.Samples.URIDialog.Instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Class singleton. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Samples/Scripts/<a class="el" href="_u_r_i_dialog_8cs.html">URIDialog.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_samples.html">Samples</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_samples_1_1_u_r_i_dialog.html">URIDialog</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
